> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Tokens Metadata

<Info>**Credit cost:** 0.1 per token.</Info>

<Warning>
  Response field `token_stats` is deprecated, use `stats` instead. See the
  [changelog](/data/api/changelog/2026-05-22).
</Warning>

Get metadata for a batch of tokens. Token list is passed in body.

The parameter `return_token_stats` will include token aggregates in each response under `stats`. Costs 0.5 credit per token instead of 0.1.

See [indexed tokens](/data/api/token-model#indexed-tokens) for context on the `is_indexed` attribute.


## OpenAPI

````yaml POST /v0/tokens/metadata
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /v0/tokens/metadata:
    post:
      tags:
        - v0
      summary: Get Tokens Metadata
      operationId: get_tokens_metadata_v0_tokens_metadata_post
      parameters:
        - name: return_token_stats
          in: query
          required: false
          schema:
            type: boolean
            title: Include token stats (aggregates) in the response.
            default: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TokenKey'
              maxItems: 1000
              examples:
                - - chain: eth
                    address: '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984'
                  - chain: base
                    address: '0x940181a94a35a4569e4529a3cdfb74e38fd98631'
              title: Tokens Keys
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenDetailsWithStatsV0'
                title: Response Get Tokens Metadata V0 Tokens Metadata Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TokenKey:
      properties:
        chain:
          $ref: '#/components/schemas/ChainIdV0'
        address:
          type: string
          title: Address
      type: object
      required:
        - chain
        - address
      title: TokenKey
    TokenDetailsWithStatsV0:
      properties:
        token_key:
          $ref: '#/components/schemas/TokenKey'
        metadata:
          $ref: '#/components/schemas/TokenMetadata'
        stats:
          anyOf:
            - $ref: '#/components/schemas/TokenAggregates'
            - type: 'null'
      type: object
      required:
        - token_key
        - metadata
      title: TokenDetailsWithStatsV0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChainIdV0:
      type: string
      enum:
        - eth
        - base
        - solana
        - tron
        - bsc
        - sonic
        - ton
        - avalanche
        - polygon
        - monad
        - hyperevm
        - arbitrum
        - robinhood
      title: ChainIdV0
    TokenMetadata:
      properties:
        name:
          type: string
          title: Name
        symbol:
          type: string
          title: Symbol
        is_indexed:
          type: boolean
          title: Is Indexed
        img_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Img Url
      type: object
      required:
        - name
        - symbol
        - is_indexed
      title: TokenMetadata
    TokenAggregates:
      properties:
        transfers_count:
          type: integer
          title: Transfers Count
        min_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Min Date
        max_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Max Date
      type: object
      required:
        - transfers_count
      title: TokenAggregates
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````